Skip to main content
GET
/
webhooks
/
{webhook_id}
/
requests
List webhook requests
curl --request GET \
  --url https://api.dnsradar.dev/webhooks/{webhook_id}/requests \
  --header 'X-Api-Key: <api-key>'
{
  "limit": 20,
  "after": "<string>",
  "before": "<string>",
  "has_more": true,
  "data": [
    {
      "id": "req_abc123...",
      "webhook_id": "whk_abc123...",
      "event_id": "evt_abc123...",
      "created": "2023-11-07T05:31:56Z",
      "status": "PENDING",
      "retries": 0,
      "delivered": "2023-11-07T05:31:56Z",
      "status_code": 200,
      "response_body": "accepted",
      "last_attempt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

X-Api-Key
string
header
required

API key used to authenticate yourself on DNSRadar. Obtain your API key from your DNSRadar dashboard.

Path Parameters

webhook_id
string
required

Query Parameters

after
string

Cursor for fetching the next page of results. Use the value from the previous response's 'after' field.

before
string

Cursor for fetching the previous page of results. Use the value from the previous response's 'before' field.

limit
integer
default:20

Number of items per page (1-100, default: 20)

Required range: 1 <= x <= 100
order_by
string

Field to order results by

order_way
enum<string>
default:asc

Sort direction

Available options:
asc,
desc
created_before
integer<int64>

Filter requests created before this UTC timestamp

created_after
integer<int64>

Filter requests created after this UTC timestamp

delivered_before
integer<int64>

Filter requests delivered before this UTC timestamp

delivered_after
integer<int64>

Filter requests delivered after this UTC timestamp

status_code
integer

Filter by HTTP status code

last_attempt_before
integer<int64>

Filter requests with last attempt before this UTC timestamp

last_attempt_after
integer<int64>

Filter requests with last attempt after this UTC timestamp

monitor_id
string

Filter requests by monitor UUID

Response

Paginated list of webhook requests

Paginated response wrapper for list endpoints. Uses cursor-based pagination with after/before parameters.

limit
integer

Number of items per page (max 100)

Example:

20

after
string | null

Cursor to fetch the next page of results

before
string | null

Cursor to fetch the previous page of results

has_more
boolean

Indicates if there are more items to fetch

data
object[]

Array of items for the current page